Subject: bug#65049: Minor update to the repro steps

From: Juri Linkov <[email-masked]>
Date: Fri, 04 Aug 2023 20:56:58 +0300

>> 0. ./runemacs.exe -Q
>> 1. navigate to a dirty git repo
>> 2. C-x v D
>> 3. Press C-x v v
>> 4. Add commit message
>> 5. Press C-c C-c
>
> I cannot reproduce the problem.

I don't have Windows, but I noticed these lines in vc-git-checkin:

  ;; On MS-Windows, pass the commit log message through a
  ;; file, to work around the limitation that command-line
  ;; arguments must be in the system codepage, and therefore
  ;; might not support the non-ASCII characters in the log
  ;; message.  Handle also remote files.
  (if (eq system-type 'windows-nt)
      (let ((default-directory (file-name-directory file1)))
        (make-nearby-temp-file "git-msg")))

So probably the same let-default-directory wrapper should be added
around (make-nearby-temp-file "git-patch") in the same function.
And maybe also to (make-nearby-temp-file "git-cached") if needed.